Get a server model for a location

GET/v1/locations/{location_id}/order_options/server_models/{server_model_id}

See details of a server model by sending a GET request to the /v1/locations/{location_id}/order_options/server_models/{server_model_id} endpoint. Required path parameters have to be specified.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

location_id*string

A unique identifier of a location. A request to list all the location IDs is described in the Location section.

server_model_id*string

An identifier of a server model. You can find a list of all the server models in one location by sending a request described in the Server Model section.

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/locations/1566/order_options/server_models/2590"
{  "id": 2590,  "name": "server-model-1535",  "cpu_name": "cpu-model-model-1534",  "cpu_count": 2,  "cpu_cores_count": 6,  "cpu_frequency": 2886,  "ram": 32,  "ram_type": "DDR3",  "max_ram": 384,  "has_raid_controller": false,  "raid_controller_name": null,  "drive_slots_count": 8,  "drive_slots": [    {      "position": 0,      "interface": "SAS",      "form_factor": "2_5",      "drive_model_id": 2593,      "hot_swappable": false    },    {      "position": 1,      "interface": "SAS",      "form_factor": "2_5",      "drive_model_id": 2594,      "hot_swappable": false    },    {      "position": 2,      "interface": "SAS",      "form_factor": "2_5",      "drive_model_id": null,      "hot_swappable": false    },    {      "position": 3,      "interface": "SAS",      "form_factor": "2_5",      "drive_model_id": null,      "hot_swappable": false    },    {      "position": 4,      "interface": "SAS",      "form_factor": "2_5",      "drive_model_id": null,      "hot_swappable": false    },    {      "position": 5,      "interface": "SAS",      "form_factor": "2_5",      "drive_model_id": null,      "hot_swappable": false    },    {      "position": 6,      "interface": "SAS",      "form_factor": "2_5",      "drive_model_id": null,      "hot_swappable": false    },    {      "position": 7,      "interface": "SAS",      "form_factor": "2_5",      "drive_model_id": null,      "hot_swappable": false    }  ]}
{  "message": "Not found",  "code": "NOT_FOUND"}